# Method: apps.firewall.ingressRules.create

- [HTTP request](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.firewall.ingressRules/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.firewall.ingressRules/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.firewall.ingressRules/create#body.request_body)
- [Response body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.firewall.ingressRules/create#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.firewall.ingressRules/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.firewall.ingressRules/create#try-it)

Creates a firewall rule for the application.

### HTTP request

`POST https://appengine.googleapis.com/v1beta/{parent=apps/*}/firewall/ingressRules`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Name of the parent Firewall collection in which to create a new rule. Example: `apps/myapp/firewall/ingressRules`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `appengine.applications.update` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.firewall.ingressRules#FirewallRule`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.firewall.ingressRules#FirewallRule`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).